This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 164084 - /var/named isn't owned by named
/var/named isn't owned by named
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 10:57 EDT by H.J. Lu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-24 16:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2005-07-24 10:57:07 EDT
After installing bind-9.2.5-3, /var/named isn't owned by named. I have

     allow-update { 192.168.10.1; };

in named.conf to allow dhcp clients to set hostname. Then named complains

 --------------------- Named Begin ------------------------

Insecure zones (dynamic update allowed by IP address):
   10.168.192.IN-ADDR.ARPA: 1 Time(s)
   in.lucon.org: 1 Time(s)

**Unmatched Entries**
    succeeded: 1 Time(s)
   dumping master file: tmp-XXXX02qdU5: open: permission denied: 1 Time(s)
   dumping master file: tmp-XXXX0ifX5v: open: permission denied: 1 Time(s)
   dumping master file: tmp-XXXX25cdyh: open: permission denied: 1 Time(s)
   dumping master file: tmp-XXXX2DUZlT: open: permission denied: 1 Time(s)
   dumping master file: tmp-XXXX2F9HHI: open: permission denied: 1 Time(s)
Comment 1 Jason Vas Dias 2005-07-24 16:46:50 EDT
You need to put 'ENABLE_ZONE_WRITE=yes' in /etc/sysconfig/named .
By default, write of master zone files is disabled for security reasons -
see 'man 8 named' NOTES section.

Note You need to log in before you can comment on or make changes to this bug.